Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`spread`.`pb`.`Local``

class documentation

`class Local: (source)`

Constructor: `Local(object, perspective)`

View In Hierarchy

(internal) A reference to a local object.

Method | `__init__` | Initialize.
Method | `__repr__` | Undocumented
Method | `decref` | Decrement the reference count.
Method | `incref` | Increment the reference count.
Instance Variable | `object` | Undocumented
Instance Variable | `perspective` | Undocumented
Instance Variable | `refcount` | Undocumented

def __init__(self, object, perspective=None): (source)

Initialize.

def __repr__(self) -> `str`: (source)

Undocumented

def decref(self): (source)

Decrement the reference count.

Returns
the reference count after decrementing

def incref(self): (source)

Increment the reference count.

Returns
the reference count after incrementing

object = (source)

Undocumented

perspective = (source)

Undocumented

refcount = (source)

Undocumented